
'------------------------------------------------------------------------------
'  URL download file section
Declare Function URLDownloadToCacheFile Lib "urlmon" Alias "URLDownloadToCacheFileA" _
    (lpUnkcaller As Long, _
    szURL As String, _
    byref szFileName As String, _
    dwBufLength As Long, _
    dwReserved As Long, _
    IBindStatusCallback As Long) As Long
 


Declare Function URLDownloadToFile Lib "urlmon" Alias "URLDownloadToFileA" _
        (ByVal pCaller As Long, _
        ByVal szURL As String, _
        ByVal szFileName As String, _
        ByVal dwReserved As Long, _
        ByVal lpfnCB As Long) As Long


$DEFINE BINDF_GETNEWESTVERSION &H10
$DEFINE INTERNET_FLAG_RELOAD &H80000000


$IFNDEF __WIN32API
Declare Function ShellExecute Lib "shell32" Alias "ShellExecuteA" _
       (hwnd As Long, _
        lpOperation As String, _
        lpFile As String, _
        lpParameters As String, _
        lpDirectory As String, _
        nShowCmd As Long) As Long
        
Const SW_NORMAL = 1

Declare Function GetDesktopWindow Lib "user32" () As Long
$ENDIF



'for D. Homans debugger
DECLARE FUNCTION fbParserVersion LIB "fbDBGParser" ALIAS "fbParserVersion@4" (lpRetString AS long) AS integer
DECLARE FUNCTION fbParseFile LIB "fbDBGParser" ALIAS "fbParseFile@20" (lpSrcFile AS long, _
        lpDatFile AS long, lpInitData AS long, lpRetString AS long, buflen AS integer) AS integer

'    On a successful call, the fbParseFile function will return a non-zero value (1) (error codes? maybe later)
'7.  Dll Parameters:
'
'    7.1. The address of a QMEMORYSTREAM containing the original source code to be debugged
'    7.2. The address of a QMEMORYSTREAM containing the RapidDBG.dat file
'    7.3. The address of a string containing initialised data (see note 8)
'    7.4. The address of a string buffer for a returned text message from the dll
'    7.5. The length of the return string buffer
'
'    Note:
'    Each memorystream mentioned above can be replaced by calls to malloc() memory function, or
'    just simple STRINGS containing the relevant data, with each line of that data terminated by
'    either a LF character or a CR+LF character pair.
'    This is possible, but not recommended for the RapidQ compiler.
'
'8.  Initialised Data:
'
'    This string MUST contain the following field data, each field separated by the "~" character, and in this order.
'
'    8.1.  "$DEFINE TIDY_TEMP_FILES" or "$UNDEF TIDY_TEMP_FILES"             <------ Leave intermediate files behind?
'    8.2.  Full path + source filename of file under test                    <------ THIS could come in handy!!!!
'    8.3.  Bitmap path (def path RapidDBG.exe) including trailing "\" char   <------ Toolbar bitmap & icon location
'    8.4.  Version string of fbDBGParser.fbb (same as RapidDBG.exe)          <------ Display purposes and checking
'    8.5.  Preset Breakpoints string (each breakpoint separated by ",")      <------ OR "" to stop at first sub/fn executed
'    8.6.  Screen co-ord "Left" of dll Progress Bar
'    8.7.  Screen co-ord "Top" of dll Progress Bar
'
'
'9.  Example call:
'    FUNCTION CreateDebugFile
'    DEFSTR initBuf, retBuf
'
'        SrcStream <= Test source code
'        DatStream <= RapidDBG.dat include code
'        initBuf=" <filled data> "
'        retBuf=SPACE$(BUFFER_SIZE)
'        Result=fbParseFile(SrcStream.Pointer, DatStream.Pointer, VARPTR(initBuf), VARPTR(retbuf), LEN(retbuf))
'    END FUNCTION
'    See also CreateDbgTarget() in RapidDBG.bas
'
