$include "QREdit.inc"
$RESOURCE Copy_bmp as "Bitmaps\Copy.bmp"
'$RESOURCE Exit_bmp as "Bitmaps\Exit.bmp"
'$RESOURCE Save_bmp as "Bitmaps\Save.bmp"


CREATE FrmPreview AS QFORM
    ICOHandle = MenuDesigner_ico
    Caption = "MenuDesigner  Preview  $NoName.inc" 
    Width = 575
    Height = 460
    Autoscroll = 0
    'DelBorderIcons = biMinimize or biMaximize
    OnResize = frmResize
    windowState = wsMaximized
    Center
    CREATE cmdSaveCode as QXPButton
        BMPHandle = Save_bmp
        Caption = "&Save Code"
        Left = 460
        Top = 15
        Width = 100
        onclick = cmdSaveCode_click
    END CREATE
    CREATE cmdCopyCode as QXPButton
        BMPHandle = Copy_bmp
        Caption = "&Copy Code"
        Left = 460
        Top = 50
        Width = 100
        onclick = cmdCopyCode_Click
    END CREATE
    CREATE cmdClosePreview as QXPButton
        BMPHandle = Exit_bmp
        Caption = "C&lose Preview"
        Left = 460
        Top = 85
        Width = 100
        onclick = cmdClosePreview_Click
    END CREATE
    CREATE rhtCode AS QREdit 
        Left = 15
        Top = 15
        Width = 425
        Height = 390
        WordWrap = False
        Clear
        ScrollBars = 3
        AddSyntaxes("DECLARE", "SUB", "CREATE ", "END ", " as ", "QMAINMENU", "QMENUITEM")
        HiLight
        ReadOnly = 0
    END CREATE
END CREATE



sub cmdSaveCode_Click (Sender as QButton)
   dim ext$ as string
   Dim p as integer
   SaveDialog.Caption = "Save Menu Include as..."
   SaveDialog.Filter = "Menu Include (*.inc)|*.inc|All Files (*.*)|*.*"

   if ArchivoMenu <> "$NoName.inc" then
      SaveDialog.FileName = ArchivoMenu
   else
      SaveDialog.FileName = "$NoName.inc"
   end if 

   IF SaveDialog.Execute THEN 
     ArchivoMenu = SaveDialog.FileName
     ext$ = right$(ArchivoMenu,4)
     if ext$ <> ".inc" then ArchivoMenu = ArchivoMenu + ".inc" 
     rhtCode.PlainText = 1
     rhtCode.SaveToFile ArchivoMenu
     p = rinstr(ArchivoMenu,"\\")
     ArchivoMenu = mid$(ArchivoMenu,p + 1)
     frmPreview.Caption = "MenuDesigner Preview  " + ArchivoMenu
     showmessage ArchivoMenu + " Saved"
  END IF 
  rhtCode.PlainText = 0
End Sub

sub cmdCopyCode_Click (Sender as QButton)
    ClipBoard.Clear
    rhtCode.SelectAll
    rhtCode.CopyToClipBoard 
    rhtCode.SelStart = 1
End Sub

sub cmdClosePreview_Click (Sender as QButton)
   frmPreview.Close
end sub

sub frmResize
   rhtCode.width = frmPreview.clientwidth - 150
   rhtCode.height = frmPreview.clientheight - rhtCode.top - 10
   cmdSaveCode.Left = frmPreview.clientwidth - 115
   cmdCopyCode.Left = frmPreview.clientwidth - 115
   cmdClosePreview.Left = frmPreview.clientwidth - 115
end sub  