DECLARE SUB SplashFormInit
DECLARE SUB SplashForm_Close

CREATE SplashForm AS QFORM
    BorderStyle = bsNone
    Center
    Top = 333
    Left = 401
    Width = 470
    Height = 310
    Color = clBlack
    CREATE Imagestart AS QIMAGE
        BMPHandle = Splash_Res
        Left = 2
        Top = 2
        Width = 470
        Height = 222
    END CREATE
    CREATE Gaugestart AS QGAUGE
        Left = 28
        Top = 224
        Width = 412
        Height = 12
        Kind = 1
        ForeColor = &H800000
        Position = 0
    END CREATE

    CREATE Labelstart AS QLABEL
        Font.Color = clWhite
        Caption = "Starting Program ..."
        Left = 12
        Top = Gaugestart.Top + Gaugestart.Height + 8
        Transparent = False
    END CREATE
    CREATE Label_splash_version AS QLABEL
        Font.Color = clWhite
        Font.Bold = True
        Height = 30
        Top  = SplashForm.ClientHeight - Label_splash_version.Height - 4
        Left = 12
        Width = 300
        Caption = FREEQVERSIONSTR
        Transparent = False
    END CREATE

'--- these turn it into an about form -----
    CREATE SplashLabel1 AS QLABEL
        Font.Color = clWhite
        Caption = ""
        Left = 12
        Top = 224
        Width = 412
        Height = 20
        Visible = False
        Cursor = crHandPoint
        OnClick = LaunchMe
        OnMouseMove = HighlightMyLabel
        Transparent = False
    END CREATE

    CREATE AboutOkButtn AS QBUTTON
        Caption = "Ok"
        Width = 64
        Height = 24
        Left = SplashForm.ClientWidth - AboutOkButtn.Width - 8
        Top = SplashForm.ClientHeight - AboutOkButtn.Height - 8
        OnClick = SplashForm_Close
        Default = True
        Visible = False
    END CREATE

END CREATE


SUB SplashFormInit
    DIM TmpInt   AS INTEGER
    ini.Section = "IDE_Variables"
    Imagestart.Tag = VAL(ini.Get("ShowSplashScreen", "null"))
    IDE.ShowSplashScreen = Imagestart.Tag
    IF IDE.ShowSplashScreen THEN SplashForm.Show
END SUB


SUB SplashForm_Close
    SplashForm.Close
END SUB

 